created: 1773662365048
modified: 1773662365048
description: Mappings for Scout driver for Circutor CEMC12c
id: 455c208e-bfdc-4728-a19d-8a9e724d4c20
name: CEMC12c_Scout
manufacturer: Circutor
model: CEMC12c
deviceResources:
  - description: L1_VOLTAGE
    name: V_AN
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "0.1"
        reviewScale: true
      units:
        type: String
        defaultValue: V
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 0
      ValueType: INT32
  - description: L1_CURRENT
    name: I_AN
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "0.01"
        reviewScale: true
      units:
        type: String
        defaultValue: A
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 2
      ValueType: INT32
  - description: FREQUENCY
    name: FREQ
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "0.01"
        reviewScale: true
      units:
        type: String
        defaultValue: Hz
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 90
      ValueType: UINT16
  - description: L1_POWER_FACTOR
    name: PF_AN
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "0.01"
        reviewScale: true
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 14
      ValueType: INT32
  - description: L1_ACTIVE_POWER
    name: P_AN
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "10"
        reviewScale: true
      units:
        type: String
        defaultValue: W
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 4
      ValueType: INT32
  - description: L1_REACTIVE_POWER
    name: Q_AN
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "10"
        reviewScale: true
      units:
        type: String
        defaultValue: var
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 6
      ValueType: INT32
  - description: L1_APPARENT_POWER
    name: S_AN
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "10"
        reviewScale: true
      units:
        type: String
        defaultValue: VA
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 12
      ValueType: INT32
  - description: ENERGY_TOTAL_ACTIVE_IMP
    name: P_ENERGY_CON_TOT_ABS
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "10"
        reviewScale: true
      units:
        type: String
        defaultValue: Wh
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 18
      ValueType: UINT32
  - description: ENERGY_TOTAL_ACTIVE_EXP
    name: P_ENERGY_GEN_TOT_ABS
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "10"
        reviewScale: true
      units:
        type: String
        defaultValue: Wh
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 34
      ValueType: UINT32
  - description: ENERGY_TOTAL_REACTIVE_IND_IMP
    name: Q_ENERGY_Q1_TOT_ABS
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "10"
        reviewScale: true
      units:
        type: String
        defaultValue: VArh
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 20
      ValueType: UINT32
  - description: ENERGY_TOTAL_REACTIVE_CAP_EXP
    name: Q_ENERGY_Q2_TOT_ABS
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "10"
        reviewScale: true
      units:
        type: String
        defaultValue: VArh
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 38
      ValueType: UINT32
  - description: ENERGY_TOTAL_REACTIVE_IND_EXP
    name: Q_ENERGY_Q3_TOT_ABS
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "10"
        reviewScale: true
      units:
        type: String
        defaultValue: VArh
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 36
      ValueType: UINT32
  - description: ENERGY_TOTAL_REACTIVE_CAP_IMP
    name: Q_ENERGY_Q4_TOT_ABS
    properties:
      value:
        type: Float
        readWrite: R
        precision: "2"
        scale: "10"
        reviewScale: true
      units:
        type: String
        defaultValue: VArh
    attributes:
      IsByteSwap: false
      IsWordSwap: false
      PrimaryTable: InputRegister
      StartingAddress: 22
      ValueType: UINT32
resources:
  - name: MeasuresTot
    get:
      - object: P_ENERGY_CON_TOT_ABS
        parameter: P_ENERGY_CON_TOT_ABS
      - object: P_ENERGY_GEN_TOT_ABS
        parameter: P_ENERGY_GEN_TOT_ABS
      - object: Q_ENERGY_Q1_TOT_ABS
        parameter: Q_ENERGY_Q1_TOT_ABS
      - object: Q_ENERGY_Q2_TOT_ABS
        parameter: Q_ENERGY_Q2_TOT_ABS
      - object: Q_ENERGY_Q3_TOT_ABS
        parameter: Q_ENERGY_Q3_TOT_ABS
      - object: Q_ENERGY_Q4_TOT_ABS
        parameter: Q_ENERGY_Q4_TOT_ABS
  - name: Measures
    get:
      - object: V_AN
        parameter: V_AN
      - object: I_AN
        parameter: I_AN
      - object: FREQ
        parameter: FREQ
      - object: PF_AN
        parameter: PF_AN
      - object: P_AN
        parameter: P_AN
      - object: Q_AN
        parameter: Q_AN
      - object: S_AN
        parameter: S_AN
      - object: P_ENERGY_CON_TOT_ABS
        parameter: P_ENERGY_CON_TOT_ABS
      - object: P_ENERGY_GEN_TOT_ABS
        parameter: P_ENERGY_GEN_TOT_ABS
      - object: Q_ENERGY_Q1_TOT_ABS
        parameter: Q_ENERGY_Q1_TOT_ABS
      - object: Q_ENERGY_Q2_TOT_ABS
        parameter: Q_ENERGY_Q2_TOT_ABS
      - object: Q_ENERGY_Q3_TOT_ABS
        parameter: Q_ENERGY_Q3_TOT_ABS
      - object: Q_ENERGY_Q4_TOT_ABS
        parameter: Q_ENERGY_Q4_TOT_ABS
